Subject: Re: [PATCH bpf-next v2] af_unix: fix NULL pointer bug in unix_shutdown

From: [email-masked]
Date: Mon, 23 Aug 2021 13:00:06 +0000

Hello:

This patch was applied to bpf/bpf-next.git (refs/heads/master):

On Sat, 21 Aug 2021 18:07:36 +0000 you wrote:
> Commit 94531cfcbe79 ("af_unix: Add unix_stream_proto for sockmap")
> introduced a bug for af_unix SEQPACKET type. In unix_shutdown, the
> unhash function will call prot->unhash(), which is NULL for SEQPACKET.
> And kernel will panic. On ARM32, it will show following messages: (it
> likely affects x86 too).
> 
> Fix the bug by checking the prot->unhash is NULL or not first.
> 
> [...]

Here is the summary with links:
  - [bpf-next,v2] af_unix: fix NULL pointer bug in unix_shutdown
    https://git.kernel.org/bpf/bpf-next/c/d359902d5c35

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html